<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	 
	<xsl:output method="xml" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" 
		doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" indent="yes"/>
		
	<xsl:param name="iamhere" select="'http://espp.fas.harvard.edu/concentration/requirements/courses/'"/>
	
	<xsl:template match="/">
		<html>
			<head>
				<title>
					Parents of <xsl:value-of select="$iamhere"/>
				</title>
			</head>
			<body>
				<div>
					<strong>
						Parents of <xsl:value-of select="$iamhere"/>
					</strong>
				</div>
				<xsl:apply-templates/>
			</body>
		</html>
	</xsl:template>
	
	<!-- override built-in template -->
	<xsl:template match="title"/>
	
	<xsl:template match="outline">   
		<xsl:if test="descendant::outline[@url=$iamhere]">
			<a href="{@url}">
				<xsl:value-of select="@text"/>
			</a>
			<img alt="-&gt;" src="arrow.gif"/>
			<xsl:apply-templates select="outline" />
		</xsl:if>
		
		<xsl:if test="@url=$iamhere">
			<a href="{@url}">
				<xsl:value-of select="@text"/>
			</a>
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>