<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
 
	<xsl:output method="xml" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" 
		doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" indent="yes"/>
		   
			
	<xsl:param name="wantdesc" select="'yes'"/>
	<!-- if 'yes' then print descriptions, defaults to 'yes' -->
	
	<xsl:param name="wanturl"  select="'yes'"/>
	<!-- if 'yes' then print urls, defaults to 'yes' -->
	
	<xsl:template match="/">
		<html>
			
			<head>
				<title>
					<xsl:value-of select="/xbel/title"/>
				</title>
				<link href="http://cscie153.dce.harvard.edu/css/xbel.css" type="text/css" rel="stylesheet" />
			</head>
			
			<body>

				<h1>
					<xsl:value-of select="/xbel/title"/>
				</h1>

				<ul>
					<xsl:apply-templates/>
				</ul>
			
			</body>
		</html>
	</xsl:template>

	<!-- override built-in template -->
	<xsl:template match="text()"/>
	
	<xsl:template match="folder">
		<li>
			<div class="folder-title">
				<xsl:value-of select="title"/>
			</div>
			<ul>
				<xsl:apply-templates select="bookmark"/>
				<xsl:apply-templates select="folder"/>
			</ul>
		</li>
	</xsl:template>
	
	
	<xsl:template match="bookmark">
		<li>
			<div class="bookmark-title">
				<a href="{@href}">
					<xsl:value-of select="title"/>
				</a>
			</div>
			<xsl:if test="$wanturl='yes'">
				<div class="bookmark-url">
					<a href="{@href}" title="{title}">
						<xsl:value-of select="@href"/>
					</a>
				</div>
			</xsl:if>
			<xsl:if test="$wantdesc='yes'">
				<div class="bookmark-desc">
					<xsl:value-of select="desc"/>
				</div>
			</xsl:if>
		</li>
	</xsl:template>
	
</xsl:stylesheet>
