<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:redirect="http://xml.apache.org/xalan/redirect" 
  extension-element-prefixes="redirect" 
  version="1.0">
  <xsl:output method="xml" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>

  <xsl:key name="membersbystate" match="member" use="state"/>
  <xsl:key name="statecode" match="state" use="@abbreviation"/>
  <xsl:variable name="uspsdoc" select="document('usps.xml')"/>
  <xsl:variable name="evencolor">#efefef</xsl:variable>
  <xsl:variable name="oddcolor">#cccccc</xsl:variable>

  <xsl:variable name="title" select="/ushousemembers/metadata/congress"/>
  <xsl:variable name="date" select="/ushousemembers/metadata/date"/>
  <xsl:variable name="displaytitle">
    <xsl:value-of select="$title"/>
    <xsl:text>, </xsl:text>
    <xsl:value-of select="$date"/>
  </xsl:variable>

  <xsl:template match="/">
    <html>
      <head>
	<title>
          <xsl:value-of select="$displaytitle"/>
	</title>
        <style type="text/css">
        tr.evenrow {background-color: <xsl:value-of select="$evencolor"/>;}
        tr.oddrow {background-color: <xsl:value-of select="$oddcolor"/>;}
        body {font-family: Arial, Helvetica, sans-serif;}
        h1,h2,h3,h4,h5,h6 {text-align: center;}
      </style>
      </head>
      <body>
        <h1>
          <xsl:value-of select="$displaytitle"/>
        </h1>
        <ul>
          <xsl:for-each select="/ushousemembers/member[generate-id() = generate-id(key('membersbystate',state)[1])]">
            <xsl:sort select="$uspsdoc/usps/state[@abbreviation = current()/state]/@name"/>
            <xsl:variable name="st" select="state"/>
          <li>
            <a href="hello">
              <xsl:for-each select="$uspsdoc">
                <xsl:value-of select="key('statecode',$st)/@name"/>
              </xsl:for-each>
            </a>
          </li>

            <html>
              <body>
                <h1>
                  <xsl:value-of select="$st"/>
                </h1>
              </body>
            </html>

          </xsl:for-each>
        </ul>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
