<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

  <xsl:output method="xml" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>

  <xsl:variable name="uspslookup" select="document('usps.xml')"/>
  <xsl:key name="usps_state" match="state" use="@abbreviation"/>

  <xsl:template match="/">
    <html>
      <head>
	<title>
          New England State Capitals
	</title>
      </head>
      <body>
        <h1>
          New England State Capitals
        </h1>
        <ul>
          <xsl:for-each select="/capitals/cities/city">
            <xsl:variable name="state" select="@state"/>
            <li>
              <xsl:value-of select="@name"/>
              <xsl:text>, </xsl:text>
              <xsl:for-each select="$uspslookup">
                <xsl:value-of select="key('usps_state', $state)/@name"/>
              </xsl:for-each>
            </li>
          </xsl:for-each>
        </ul>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
