<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"     
  version="1.1">
<xsl:output method="xml" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" 
    doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" indent="yes"/>

<xsl:param name="acad_year" select="'2002'"/>
<xsl:param name="term_id" select="'3'"/>
<xsl:param name="course_group" select="'CSCI'"/>
<xsl:key name="table_list" match="course[@acad_year=2002 and @term_id=3]" use="course_group"/>

<xsl:key name="course_outside" match="course_groups/course_group" use="@code"/>
<xsl:variable name="outside" select="document('courses_codes.xml')"/>
<xsl:template match="/">
<html>
	<head>
	<title>Harvard University Summer School Courses 2003</title>
	<link href="courses.css" type="text/css" rel="stylesheet"/>
	</head>
	<xsl:value-of select="/courses/title"/> 
		<body> 
		<h1>
	<a name="top">
 		Harvard University Summer School Courses 2003 
	 </a> </h1>
		<div class="toc">
		<ul>
		<li>
	<xsl:apply-templates select="//course[generate-id()=generate-id(key('table_list',course_group)[1])]" mode="table"> 
<xsl:sort select="course_group"/> 
	</xsl:apply-templates> 
	
	<xsl:apply-templates select="//course[generate-id()=generate-id(key('table_list',course_group)[1])]" mode="body">
<xsl:sort select="course_group"/>
	</xsl:apply-templates>
	</li>
	</ul>
	</div>
	</body></html>
	</xsl:template>
	
	<!-- 	old table code here
	<xsl:template match="course" mode="table">
		<li>
		<a href="#{course_group}">
		<xsl:apply-templates select="course_group"/>
		</a></li>
		</xsl:template>	tata -->
	<!--		NEW REDIRECT CODE HERE -->
	
<xsl:template match="course" mode="table">
	<li> 
		<a href="{course_group}.html">
		<xsl:variable name="hello" select="course_group"/>
		<xsl:for-each select="$outside">
		<xsl:value-of select="key('course_outside', $hello)/@name"/>
		</xsl:for-each>
		
		</a>
	</li>
</xsl:template>
	
	<xsl:template match="course" mode="body">
<xsl:variable name="newPage" select="course_group"/>

	<xsl:document href="{concat($newPage,'.html')}">
	
	<html><head><title>Harvard University Summer School Courses 2003</title>
	<link rel="stylesheet" type="text/css" href="courses.css"/>
	</head>
	<body>
  	<div class="sitetitle">
        Harvard University Summer School 2003
        </div>
        
        
		<h1><a name="{course_group}">
		
		<xsl:variable name="hello" select="course_group"/>
		<xsl:for-each select="$outside">
		<xsl:value-of select="key('course_outside', $hello)/@name"/>
		</xsl:for-each>
		</a>
		</h1><div class="top"><hr/>
        <a href="redirect_PRED_anthro.html">
        Return to Course Group Listing</a><hr/>
        </div>
		<xsl:apply-templates select="key('table_list', course_group)"/>
		
	    <div class="top">
        <hr/>
        <a href="redirect_PRED_anthro.html">Return to Course Group Listing</a>
       <hr/>
 </div></body></html>
 </xsl:document>
	
</xsl:template>

	<!-- beginning to course groupings and titles
	<xsl:template match="course" mode="body">
		<h2><a name="{course_group}">
		<xsl:variable name="hello" select="course_group"/>
		<xsl:for-each select="$outside">
		<xsl:value-of select="key('course_outside', $hello)/@name"/>
		</xsl:for-each>
		</a>
		</h2>
		<xsl:apply-templates select="key('table_list', course_group)"/>
		
		<hr/>
		<div class="top">		
		[
		<a href="#top">top</a>
					]
		</div>
	<hr/></xsl:template>
-->
	<!-- beginning to list courses and descriptions-->

	<xsl:template match="course" >

		<div class="course">
		<span class="course_gn">
		<xsl:value-of select="course_group"/>
		<xsl:text> </xsl:text>
		<xsl:value-of select="course_num"/></span>
		<span class="title">
		<xsl:value-of select="title"/></span>
		<span class="crn">
		(CRN: 
		<xsl:value-of select="@crn"/>
			)
		</span></div>

	<div class="course_head">
		<span class="course_head_name">
		<xsl:value-of select="course_head/person/person_name"/>
		</span>

		<span class="course_head_title">	
		<xsl:value-of select="course_head/person/person_title"/>
		</span>
		</div>

</xsl:template>

<!-- matching instructor
	<xsl:template match="person" >
	<div>
		<span class="course_head_name">
		<xsl:value-of select="person_name"/>
		</span>

		<span class="course_head_title">	
		<xsl:value-of select="person_title"/>
		</span>
		</div>
</xsl:template> -->

</xsl:stylesheet>





