<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:output method="xml" doctype-public="-//PHONE.COM//DTD WML 1.3//EN" doctype-system="http://www.openwave.com/dtd/wml13.dtd"/>
	
	<xsl:key name="memberByState" match="member" use="state"/>
	
	<xsl:template match="/">
		<wml>
			<card id="toc">
				<p>
					<strong>
						<xsl:value-of select="ushousemembers/metadata/congress"/>
					</strong>
					
					<br/>
					
					<select>
						<xsl:apply-templates select="//member[generate-id() = generate-id(key('memberByState', state)[1])]" mode="toc">
							<xsl:sort select="state"/>
						</xsl:apply-templates>
					</select>
				</p>
			</card>
			
			<xsl:for-each select="//member[generate-id() = generate-id(key('memberByState', state)[1])]">
				<xsl:sort select="state"/>
				<xsl:variable name="current_position" select="position()"/>
				<card id="{state}">
					<p>
						<strong>
							<xsl:value-of select="state"/>
						</strong>
					</p>
					
					<p>
						<xsl:apply-templates select="key('memberByState', state)">
							<xsl:sort select="official-name"/>
						</xsl:apply-templates>
						<xsl:value-of select="$current_position"/>
					</p>
					
					<xsl:if test="$current_position != 1">
						<do label="Previous" type="accept">
							
							<xsl:for-each select="//member[generate-id() = generate-id(key('memberByState', state)[1])]">
								<xsl:sort select="state"/>
								<xsl:if test="$current_position - 1 = position()">
									<go href="#{state}"/>
								</xsl:if>
							</xsl:for-each>
						</do>
					</xsl:if>
					
					<xsl:if test="$current_position != last()">
						<do label="Next" type="accept">
							<xsl:for-each select="//member[generate-id() = generate-id(key('memberByState', state)[1])]">
								<xsl:sort select="state"/>
								<xsl:if test="$current_position + 1 = position()">
									<go href="#{state}"/>
								</xsl:if>
							</xsl:for-each>
						</do>
					</xsl:if>
		
				</card>
		
			</xsl:for-each>
						
		</wml>
		
	</xsl:template>
	
	<xsl:template match="member" mode="toc">
		<option onpick="#{state}">
			<xsl:value-of select="state"/>
		</option>
	</xsl:template>
	
	<xsl:template match="member">
		<xsl:value-of select="official-name"/> 
		(<xsl:value-of select="party"/>)
		<br/>
	</xsl:template>
	
</xsl:stylesheet>