<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:output method="xml" doctype-public="-//PHONE.COM//DTD WML 1.3//EN" doctype-system="http://www.openwave.com/dtd/wml13.dtd"/>
	
	<xsl:key name="memberByState" match="member" use="state"/>
	
	<xsl:template match="/">
		<wml>
			<card id="toc">
				<p>
					<strong>
						<xsl:value-of select="ushousemembers/metadata/congress"/>
					</strong>
					
					<br/>
					
					<select>
						<xsl:apply-templates select="//member[generate-id() = generate-id(key('memberByState', state)[1])]" mode="toc">
							<xsl:sort select="state"/>
						</xsl:apply-templates>
					</select>
				</p>
			</card>
			
			<xsl:apply-templates select="//member[generate-id() = generate-id(key('memberByState', state)[1])]" mode="card">
				<xsl:sort select="state"/>
			</xsl:apply-templates>
						
		</wml>
		
	</xsl:template>
	
	<xsl:template match="member" mode="toc">
		<option onpick="#{state}">
			<xsl:value-of select="state"/>
		</option>
	</xsl:template>
	
	
	<xsl:template match="member" mode="card">
		<card id="{state}">
			<p>
				<strong>
					<xsl:value-of select="state"/>
				</strong>
			</p>
			
			<p>
				<xsl:apply-templates select="key('memberByState', state)">
					<xsl:sort select="official-name"/>
				</xsl:apply-templates>
			</p>
			
			<xsl:if test="position() != 1">
				<do label="Previous" type="accept">
					<go href="#{preceding-sibling::member/state}"/>
				</do>
			</xsl:if>
			
			<xsl:if test="position() != last()">
				<do label="Next" type="accept">
					<go href="#{following-sibling::member/state}"/>
				</do>
			</xsl:if>

		</card>
	</xsl:template>
	
	<xsl:template match="member">
		<xsl:value-of select="official-name"/> 
		(<xsl:value-of select="party"/>)
		<br/>
	</xsl:template>
	
</xsl:stylesheet>