<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	 
	<xsl:output method="xml" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" 
		doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" indent="yes"/>
	
	<xsl:param name="acad_year"    select="'2002'"/>
	<xsl:param name="term_id"      select="'3'"/>
	<xsl:param name="course_group" select="'CSCI'"/>
	
	<xsl:template match="/">
		<html>
		
			<head>
				<title>
					Harvard University Summer School 2003 Computer Science Courses
				</title>
				<link href="http://cscie153.dce.harvard.edu/css/dce_courses.css" type="text/css" rel="stylesheet"/>
			</head>
			<body>
				<h1>
					<a name="top">
						Harvard University Summer School 2003 Computer Science Courses
					</a>
				</h1>
				
				<div class="toc">
					<ul>
						<xsl:apply-templates select="//course[@acad_year=$acad_year][@term_id=$term_id][course_group=$course_group]" mode="table">
							<xsl:sort select="title"/>
						</xsl:apply-templates>
					</ul>
				</div>
				
				<hr/>
				
				<xsl:apply-templates select="//course[@acad_year=$acad_year][@term_id=$term_id][course_group=$course_group]">
					<xsl:sort select="title"/>
				</xsl:apply-templates>
			</body>
			
		</html>
	</xsl:template>
	
	<xsl:template match="course" mode="table">
		<li>
			<a href="#{@crn}">
				CSCI <xsl:value-of select="course_num"/>:
				<xsl:value-of select="title"/>
			</a>
		</li>
	</xsl:template>
	
	<xsl:template match="course">
		<div class="title">
			<a name="{@crn}">
				CSCI <xsl:value-of select="course_num"/>:
				<xsl:value-of select="title"/> 
				(<xsl:value-of select="@crn"/>)
			</a>
		</div>

		<xsl:apply-templates select="course_head/person" mode="partB"/>

		<div class="description">
			<xsl:value-of select="description"/> 
    	</div>
        	
        <div class="top">
      		[<a href="#top">
        		top
      		</a>]
    	</div>
        	
	</xsl:template>
	
	<xsl:template match="person">
	
		<div>
			<div>
			<span class="course_head_name">
				<xsl:value-of select="person_name"/>
			</span>,
			<span class="course_head_title">
				<xsl:value-of select="person_title"/>
        	</span>
        	</div>
		</div>
		
	</xsl:template>
	
</xsl:stylesheet>