<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="xml" doctype-public="-//PHONE.COM//DTD WML 1.3//EN" doctype-system="http://www.openwave.com/dtd/wml13.dtd" />
  <xsl:template match="/">
    <wml>
      <template></template>
      <card id="toc">
        <p>
          <img src="http://www.w3.org/Icons/WWW/w3c_home.png" alt="[W3C Logo]" />
          <br />
          <strong>
            <xsl:value-of select="//channel/title" />
          </strong>
          <br />
          <small>
            <xsl:value-of select="//channel/description" />
          </small>
        </p>
        <p>
          <select>
            <xsl:apply-templates select="//item" mode="toc" />
          </select>
        </p>
        <do type="options" label="Next">
          <go>
            <xsl:attribute name="href">
<xsl:text>
#
</xsl:text>
              <xsl:value-of select="generate-id(//item[position()=1])" />
            </xsl:attribute>
          </go>
        </do>
      </card>
      <xsl:apply-templates select="//item" />
    </wml>
  </xsl:template>
  <xsl:template match="item" mode="toc">
    <option>
      <xsl:attribute name="onpick">#
      <xsl:value-of select="generate-id()" />
      </xsl:attribute>
      <xsl:value-of select="title" />
    </option>
  </xsl:template>
  <xsl:template match="item">
    <card>
      <xsl:attribute name="id">
        <xsl:value-of select="generate-id()" />
      </xsl:attribute>
      <p>
        <strong><xsl:value-of select="title" /></strong>
      </p>
      <p>
        <xsl:value-of select="description" />
      </p>
      <do type="options" label="Next">
        <go>
          <xsl:attribute name="href">
<xsl:text>
#
</xsl:text>
            <xsl:value-of select="generate-id(following-sibling::item[position()=1])" />
          </xsl:attribute>
        </go>
      </do>
    </card>
  </xsl:template>
</xsl:stylesheet>

